#ifndef TIMEDEPPDE2D_H
#define TIMEDEPPDE2D_H

#include "pde2d.h"

/** TimedepPDE2D:
 *      Provides additionally to PDE2D a member that stores
 *      the current time t.
 */
class TimedepPDE2D : public PDE2D {

protected:
    double current_time;

public:
    
    TimedepPDE2D() : current_time(0){}

    void
    set_time(double t){
        current_time = t;
    }
};


#endif // TIMEDEPPDE2D_H